# Generated by Django 3.0.3 on 2020-02-12 05:20

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Employer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='JobSeeker',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('skills', models.CharField(max_length=511, null=True)),
                ('visa_status', models.CharField(max_length=63, null=True)),
                ('qualifications', models.CharField(max_length=512, null=True)),
                ('resume', models.CharField(max_length=127, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Position',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=63)),
                ('description', models.CharField(blank=True, max_length=255)),
                ('responsibilities', models.CharField(blank=True, max_length=511)),
                ('skills', models.CharField(blank=True, max_length=511)),
                ('requirements', models.CharField(blank=True, max_length=511)),
                ('years_of_experience', models.IntegerField()),
                ('salary_range', models.CharField(max_length=31, null=True)),
                ('location', models.CharField(max_length=63)),
                ('contract_type', models.CharField(max_length=63, null=True)),
                ('employer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='port.Employer')),
            ],
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fist_name', models.CharField(max_length=63)),
                ('middle_names', models.CharField(max_length=127, null=True)),
                ('last_name', models.CharField(max_length=63)),
                ('username', models.CharField(max_length=63)),
                ('password', models.CharField(max_length=63)),
            ],
        ),
        migrations.CreateModel(
            name='PositionSkill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=127)),
                ('years_of_experience', models.IntegerField()),
                ('position', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='port.Position')),
            ],
        ),
        migrations.CreateModel(
            name='JobSeekerSkill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=127)),
                ('years_of_experience', models.IntegerField()),
                ('job_seeker', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='port.JobSeeker')),
            ],
        ),
        migrations.AddField(
            model_name='jobseeker',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='port.User'),
        ),
        migrations.CreateModel(
            name='Employment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('started', models.DateField()),
                ('finished', models.DateField()),
                ('job_seeker', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='port.JobSeeker')),
            ],
        ),
        migrations.AddField(
            model_name='employer',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='port.User'),
        ),
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('personal_details', models.CharField(blank=True, max_length=255)),
                ('contact_details', models.CharField(blank=True, max_length=255)),
                ('date', models.DateField()),
                ('job_seeker', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='port.JobSeeker')),
                ('position', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='port.Position')),
            ],
        ),
    ]
